%global pypi_name python-editor

%global with_python3 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-editor
Version:        0.4
Release:        5%{?dist}
Summary:        Programmatically open an editor, capture the result.

License:        ASL 2.0
URL:            https://github.com/fmoo/python-editor
Source:         https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Programmatically open an editor, capture the result.

%package -n python2-editor
Summary:        Programmatically open an editor, capture the result.
%{?python_provide:%python_provide python2-editor}
# python_provide does not exist in CBS Cloud buildroot
Provides:       python-editor = %{upstream_version}

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description -n python2-editor
Programmatically open an editor, capture the result.

%if 0%{?with_python3}
%package -n python34-editor
Summary:        Programmatically open an editor, capture the result.
%{?python_provide:%python_provide python34-editor}

BuildRequires:  python34-devel
BuildRequires:  python34-setuptools

%description -n python34-editor
Programmatically open an editor, capture the result.
%endif

%prep
%setup -q -n %{pypi_name}-%{upstream_version}
rm -rf %{pypi_name}.egg-info

%build
%{__python2} setup.py build
%if 0%{?with_python3}
%{__python3} setup.py build
%endif

%install
%{__python2} setup.py install --skip-build --root=$RPM_BUILD_ROOT
chmod a+x $RPM_BUILD_ROOT%{python2_sitelib}/editor.py

%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root=$RPM_BUILD_ROOT
chmod a+x $RPM_BUILD_ROOT%{python3_sitelib}/editor.py
%endif

%files
%doc README.md
%license LICENSE
%{python2_sitelib}/editor.py*
%{python2_sitelib}/python_editor-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python34-editor
%doc README.md
%license LICENSE
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/editor.py*
%{python3_sitelib}/__pycache__/*
%endif


%changelog
* Fri Jul 29 2016 Alexander Pavel <anp120@jla.rutgers.edu> - 0.4-5.ru7
- Rebuild for Rutgers CentOS 7

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 24 2015 Ralph Bean <rbean@redhat.com> - 0.4-4
- Merge branches together and bump release for bodhi updates.
- Removed empty %%check section.
- Fix incorrect usage of %%{pypi_name}.

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Mon Aug 31 2015 Lukas Bezdicka <lbezdick@redhat.com> - 0.4-2
- fix python2 and python3 support and add support for Centos CBS
- fix description

* Wed Aug 26 2015 Lukas Bezdicka <lbezdick@redhat.com> - 0.4-1
- Bump to 0.4

* Tue Aug 25 2015 Lukas Bezdicka <lbezdick@redhat.com> - 0.3-1
- initial package
